ADDUSER(8)

BEZEICHNUNG
adduser, addgroup - Benutzer oder Gruppen im System hinzufügen oder verändern

ÜBERSICHT
adduser [--add-extra-groups] [--allow-all-names] [--allow-bad-names] [--comment Kommentar] [--conf Datei] [--debug] [--disabled-login] [--disabled-password] [--encrypt-home] [--firstgid Kennung] [--firstuid Kennung] [--force-home] [--gid Kennung] [--home Verzeichnis] [--ingroup Gruppe] [--lastgid Kennung] [--lastuid Kennung] [--no-create-home] [--no-copy-skel] [--shell Shell] [--quiet] [--uid Kennung] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] Benutzer
adduser --system [--comment Kommentar] [--conf Datei] [--debug] [--gid Kennung] [--group] [--home Verzeichnis] [--ingroup Gruppe] [--no-create-home] [--no-copy-skel] [--shell Shell] [--uid Kennung] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] Benutzer
adduser --unlock [--system] Benutzer
adduser --group [--conf Datei] [--debug] [--firstgid Kennung] [--gid Kennung] [--lastgid Kennung] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] group
addgroup [--conf Datei] [--debug] [--firstgid Kennung] [--gid Kennung] [--lastgid Kennung] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] group
addgroup --system [--gid Kennung] [--conf Datei] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] group
adduser [--conf Datei] [--debug] [--quiet] [--verbose] [--stdoutmsglevel prio] [--stderrmsglevel prio] [--logmsglevel prio] Benutzer Gruppe
adduser --help
adduser --version

BESCHREIBUNG
Die Befehle adduser und addgroup fügen im System Benutzer und Gruppen unter Berücksichtigung der Befehlszeilen-Optionen und der Konfigurationsinformationen in /etc/adduser.conf hinzu. Sie sind Debian-spezifischere Oberflächen für die Programme useradd(8), groupadd(8) und usermod(8), die unabhängiger von Distributionen sind. adduser und addgroup(8) wählen standardmäßig UID- und GID-Werte, die den Debian-Richtlinien folgen, erstellen ein Home-Verzeichnis mit Gerüstkonfiguration, führen ein benutzerdefiniertes Skript aus und haben einige weitere Funktionalitäten.

adduser und addgroup sind als Schicht für Richtlinien gedacht. Sie erleichtern Paketbetreuern und lokalen Administratoren die Erstellung lokaler Systemkonten auf eine Art, wie Debian deren Erstellung erwartet. Sie übernehmen dabei die Last, sich an die möglicherweise ändernden Anforderungen der Debian-Richtlinien anzupassen. Im Besonderen benötigt adduser --system nur einen einzigen Aufruf in den Paketbetreuerskripten, keine zusätzlichen Wrapper, Fehlerunterdrückungen oder andere Hilfskonstrukte.

adduser respektiert die Unterscheidung zwischen dynamisch zugewiesenen Systembenutzern und -gruppen und dynamisch zugewiesenen Benutzerkonten, die in den Debian-Richtlinien, Kapitel 9.2.2 beschrieben ist.

Eine vollständige Liste und Beschreibungen aller Optionen finden Sie im Abschnitt OPTIONEN.

adduser und addgroup können in einem von fünf Modi betrieben werden:

  Einen regulären (nicht System-)Benutzer hinzufügen
Wird adduser ohne die Optionen --system oder --group und mit einem Argument, das keine Option ist, aufgerufen, richtet adduser einen regulären Benutzer ein. Dies ist ein dynamisch zugewiesenes Benutzerkonto im Sinne der Debian-Richtlinien. Im Kontext von adduser wird dies typischerweise als Nicht-Systembenutzer bezeichnet.

If adduser is called with the --unlock option, it will search for an existing account, and ensure it is unlocked. If the user is not found, adduser will return an error. See Unlock an account below for more details.

adduser wird die erste noch freie UID aus dem in der Konfigurationsdatei durch FIRST_UID und LAST_UID festgelegten Bereich auswählen. Der Bereich kann mit den Optionen --firstuid und --lastuid außer Kraft gesetzt werden. Schließlich kann die UID mit der Option --uid vollständig manuell gesetzt werden.

Standardmäßig erhält jeder Benutzer eine entsprechende Gruppe mit dem gleichen Namen. Dies wird typischerweise Benutzergruppen genannt und erlaubt die leichte Verwaltung von gruppenbeschreibbaren Verzeichnissen, indem die entsprechenden Benutzer in die neue Gruppe abgelegt, das Bit set-group-ID im Verzeichnis gesetzt und sichergestellt wird, dass alle Benutzer über die Umask 002 verfügen.

Für eine Benutzergruppe wird adduser die erste noch freie GID aus dem in der Konfigurationsdatei durch FIRST_GID und LAST_GID festgelegten Bereich auswählen. Der Bereich kann mit den Optionen --firstgid und --lastgid außer Kraft gesetzt werden. Schließlich kann die GID mit der Option --gid vollständig manuell gesetzt werden.

Die Wechselwirkung zwischen USERS_GID, USERS_GROUP und USERGROUPS wird im Detail in adduser.conf(5) beschrieben.

Die Voreinstellung für die primäre Gruppe des neuen Benutzers kann auf der Befehlszeile auch mit --gid und einer Gruppenkennung oder --ingroup und einem Gruppenamen außer Kraft gesetzt werden. Auch können Benutzer zu ergänzenden Gruppen hinzugefügt werden, die als EXTRA_GROUPS in der Konfigurationsdatei entweder durch Setzen von ADD_EXTRA_GROUPS auf 1 oder durch Angabe von --add-extra-groups auf der Befehlszeile angegeben wurden.

adduser kopiert Dateien aus /etc/skel in das Home-Verzeichnis und bittet um Eingaben für das Kommentarfeld und ein Passwort, falls sich diese Funktionen nicht aufgrund von Eingaben auf der Befehlszeile erübrigen.

UID, Kommentare, Home-Verzeichnis und die Shell können mit den Optionen UID_POOL und GID_POOL vorabbestimmt sein, siehe adduser.conf(5).

To set up an encrypted home directory for the new user, add the --encrypt-home option. For more information, refer to the -b option of ecryptfs-setup-private(1).

  Einen System-Benutzer hinzufügen
Wird adduser mit einem Argument, das keine Option ist, und der Option --system aufgerufen, dann wird adduser einen dynamisch zugewiesenen Systembenutzer, im Kontext des Pakets adduser oft als Systembenutzer abgekürzt, hinzufügen.

If the user already exists and is a system account, then adduser will ensure the account is unlocked and return successfully. See Unlock a user account below.

adduser wird die erste noch freie UID aus dem in der Konfigurationsdatei durch FIRST_SYSTEM_UID und LAST_SYSTEM_UID festgelegten Bereich auswählen. Dies kann mit der Option --uid außer Kraft gesetzt werden.

Standardmäßig wird Systembenutzern die Gruppe nogroup als primäre Gruppe zugeordnet. Um eine bereits bestehende Gruppe als primäre Gruppe zuzuordnen, nutzen Sie die Optionen --gid oder --ingroup. Falls die Option --group angegeben ist und eine identisch benannte Gruppe nicht bereits existiert, dann wird sie mit der gleichen Kennung erstellt.

Falls kein Home-Verzeichnis festgelegt ist, ist das Standard-Home-Verzeichnis für einen neuen Systembenutzer /nonexistent. Dieses Verzeichnis sollte niemals auf irgendeinem Debian-System existieren und adduser sollte es niemals automatisch erstellen.

Falls ein Home-Verzeichnis mit der Option --home festgelegt ist und das Verzeichnis noch nicht existiert (beispielsweise, weil das Paket Dateien in diesem Verzeichnis ausliefert), setzt adduser den Eigentümer ohne Rückmeldung nicht auf den neu erstellten Benutzer. Das Setzen des Eigentümers könnte eine Entscheidung des lokalen Administrators außer Kraft setzen und das Melden der Tatsache würde das Schweigen von adduser während der Paketinstallation brechen. Falls Sie adduser --home in Ihren Paketverwaltungsskripten verwenden, könnte ein explizites rekursives chown(1) für das Home-Verzeichnis nach dem Aufruf von adduser sinnvoll sein.

Wird nicht explizit eine Shell mit der Option --shell gesetzt, dann wird diese für den neuen Systembenutzer auf /usr/sbin/nologin gesetzt. adduser --system setzt kein Passwort für das neue Konto. Der Aufruf von adduser --system für ein Konto mit Passwort ist ein Fehler. Die Gerüstkonfigurationsdateien werden nicht kopiert.

Andere Optionen verhalten sich wie bei der Erstellung regulärer Benutzer. Die von UID_POOL und GID_POOL referenzierten Dateien werden ebenfalls berücksichtigt.

  Unlock a user account
If called with the --unlock option, adduser will unlock an existing, previously locked account. If found, the user's password will be re-enabled, and expiry restrictions will be removed. Any previous expiry settings will have to be added manually after unlocking the account.

  Eine Gruppe hinzufügen
Wird adduser mit der Option --group und ohne die Option --system aufgerufen oder wird addgroup aufgerufen, wird eine Benutzergruppe hinzugefügt.

Eine dynamisch zugewiesene Systemgruppe wird oft im Kontext des Pakets adduser als Systemgruppe abgekürzt und wird erstellt, falls adduser --group oder addgroup mit der Option --system aufgerufen werden.

Es wird eine GID aus dem zugehörigen, in der Konfigurationsdatei für GIDs festgelegten Bereich (FIRST_GID, LAST_GID, FIRST_SYSTEM_GID, LAST_SYSTEM_GID) gewählt. Sie können diesen Mechanismus außer Kraft setzen, indem Sie die GID mit der Option --gid festlegen.

Für Nicht-Systemgruppen kann der in der Konfigurationsdatei festgelegte Bereich mit den Optionen --firstgid und --lastgid außer Kraft gesetzt werden.

Die Gruppe wird ohne Mitglieder erzeugt.

  Einen bestehenden Benutzer zu einer bestehenden Gruppe hinzufügen
Wird adduser mit zwei Argumenten, die keine Optionen sind, aufgerufen, wird ein bestehender Benutzer zu einer bestehenden Gruppe hinzugefügt.

OPTIONEN
Verschiedene Modi von adduser erlauben verschiedene Optionen. Falls keine gültigen Modi für eine Option aufgeführt sind, wird sie in allen Modi akzeptiert.

Aus historischen Gründen können für bestimmte Aktionen Kurzversionen der Optionen existieren. Sie werden weiterhin unterstützt, aber aus der Dokumentation entfernt. Benutzern wird empfohlen, auf die lange Version der Optionen umzusteigen.

--add-extra-groups
    Fügt einen neue Benutzer zu den Gruppen hinzu, die in der Einstellung EXTRA_GROUPS in der Konfigurationsdatei definiert sind. Die alte Schreibweise --add_extra_groups ist veraltet und wird nur noch in Debian-Bookworm unterstützt. Gültige Modi: adduser, adduser --system.

--allow-all-names
    Erlaubt jeden Benutzer- und Gruppennamen, der vom zugrundeliegenden useradd(8) unterstützt wird. Siehe GÜLTIGE NAMEN weiter unten. Gültige Modi: adduser, adduser --system, addgroup, addgroup --system.

--allow-bad-names
    Deaktiviert die Namensprüfung NAME_REGEX und SYS_NAME_REGEX. Nur die schwächere Gültigkeitsprüfung von Namen wird angewandt. Siehe GÜLTIGE NAMEN weiter unten.Gültige Modi: adduser, adduser --system, addgroup, addgroup --system.

--comment Kommentar
    Setzt das Kommentarfeld für den neu erstellten Eintrag. Die Abfrage dieser Information durch adduser unterbleibt, wenn diese Option verwendet wird. Das Feld ist auch unter dem Namen GECOS bekannt und enthält Informationen, die vom Befehl finger(1) verwandt werden. Dies war früher die Option --gecos; diese ist veraltet und wird nach Debian Bookworm entfernt. Gültige Modi: adduser, adduser --system.

--conf Datei
    Datei anstelle von /etc/adduser.conf benutzen. Es können mehrere Optionen --conf angegeben werden.

--debug
    Synonym zu --stdoutmsglevel=debug. Veraltet.

--disabled-login
--disabled-password
    Ruft passwd(1) nicht zum Setzen eines Passworts auf. Allerdings sind in den meisten Fällen Anmeldungen weiterhin möglich (beispielsweise über SSH-Schlüssel oder PAM). Die Gründe hierfür liegen außerhalb der Verantwortung von adduser. --disabled-login wird zusätzlich die Shell auf /usr/sbin/nologin setzen. Gültige Modi: adduser.

--firstuid Kennung
--lastuid Kennung
--firstgid Kennung
--lastgid Kennung
    Setzt die erste UID / letzte UID / erste GID / letzte GID für den Bereich, aus dem die Benutzerkennung gewählt wird (FIRST_UID, LAST_UID, FIRST_GID und LAST_GID, FIRST_SYSTEM_UID, LAST_SYSTEM_UID, FIRST_SYSTEM_GID und LAST_SYSTEM_GID in der Konfigurationsdatei) außer Kraft. Falls eine Gruppe als Benutzergruppe erstellt wird, werden --firstgid und --lastgid ignoriert. Die Gruppe erhält die gleiche Kennung wie der Benutzer. Gültige Modi: adduser, adduser --system, für --firstgid und --lastgid auch addgroup.

--force-badname
--allow-badname
    Dies sind veraltete Formen für --allow-bad-names. Sie werden während des Veröffentlichungszyklus der Debian-Veröffentlichung 13 entfernt.

--extrausers
    Uses extra users as the database.

--gid GID
    Bei der Erstellung einer Gruppe setzt diese Option die Gruppenkennungsnummer der neuen Gruppe auf GID. Bei der Erstellung eines Benutzers setzt diese Option die primäre Gruppenkennungsnummer des neuen Benutzers auf GID. Gültige Modi: adduser, adduser --system, addgroup, addgroup --system.

--group
    Die Verwendung dieser Option in adduser --system zeigt an, dass der neue Benutzer eine identisch benannte Gruppe als primäre Gruppe erhalten soll. Falls diese identisch benannte Gruppe noch nicht existiert, wird sie erstellt. Wird sie nicht zusammen mit --system verwendet, wird eine Gruppe mit dem angegebenen Namen erstellt. Letzteres ist das Standardverhalten, wenn das Programm als addgroup aufgerufen wird. Gültige Modi sind adduser --system, addgroup, addgroup --system.

--help
    Kurzanleitung anzeigen

--home Verzeichnis
    Verwendet Verzeichnis als Home-Verzeichnis des Benutzers anstatt der in der Konfigurationsdatei festgelegten Vorgabe (oder /nonexistent, falls adduser --system verwandt wird). Existiert das Verzeichnis nicht, wird es erzeugt. Gültige Modi: adduser, adduser --system.

--ingroup GRUPPE
    Bei der Erstellung eines Benutzers setzt diese Option die primäre Gruppenkennung des Benutzers auf die Gruppenkennung der benannten Gruppe. Anders als bei der Option --gid wird die Gruppe hier über den Namen anstelle der numerischen Kennungsnummer angegeben. Die Gruppe muss bereits existieren. Gültige Modi: adduser, adduser --system.

--lastuid Kennung
--lastgid Kennung
    Setzt die letzte UID / GID außer Kraft. Siehe --firstuid.

--no-create-home
    Erstellt kein Home-Verzeichnis für den neuen Benutzer. Beachten Sie, dass der Pfadname für das Home-Verzeichnis des neuen Benutzers weiterhin in das entsprechende Feld in der Datei /etc/passwd eingetragen wird. Die Verwendung dieser Option impliziert nicht, dass das Feld leer sein soll. Stattdessen zeigt sie adduser an, dass ein anderer Mechanismus für die Initialisierung des Home-Verzeichnisses des neuen Benutzers verantwortlich ist. Gültige Modi: adduser, adduser --system.

--force-home
    Assume the home directory does already exist and has been taken care of by the local administrator. chown the directory to the newly created user and populate it with the files from /etc/skel without double checking. This allows to put new home directories on an md, lvm, or dm-crypt device. Valid modes: adduser.

--no-copy-skel
    Füllt das Home-Verzeichnis für den neuen Benutzer nicht mit Dateien aus /etc/skel. Falls das Home-Verzeichnis frisch erstellt wurde, wird es leer sein. Gültige Modi: adduser, adduser --system.

--quiet
    Synonym zu --stdoutmsglevel=warn. Veraltet.

--shell Shell
    Verwendet Shell als Anmelde-Shell des Benutzers anstatt der in der Konfigurationsdatei festgelegten Vorgabe (oder /usr/sbin/nologin, falls adduser --system verwandt wird). Gültige Modi: adduser, adduser --system.

--system
    Normalerweise erstellt adduser dynamisch zugewiesene Benutzerkonten und -gruppen, wie in den Debian-Richtlinien, Kapitel 9.2.2 definiert. Mit dieser Option erstellt adduser dynamisch zugewiesene Systembenutzer und -gruppen und ändert seinen Modus entsprechend. Gültige Modi: adduser, addgroup.

--uid Kennung
    Erzwingt, dass die Kennung des neuen Benutzers auf die angegebene Zahl gesetzt wird. Adduser wird fehlschlagen, wenn die Benutzerkennung bereits vergeben ist. Gültige Modi: adduser, adduser --system.

--verbose
    Synonym zu --stdoutmsglevel=info. Veraltet.

--stdoutmsglevel Prio
--stderrmsglevel Prio
--logmsglevel Prio
    Minimale Priorität für Meldungen, die im Syslog/Journal bzw. auf der Konsole protokolliert werden. Werte sind trace, debug, info, warn, err und fatal. Meldungen mit der hier gesetzten oder einer höheren Priorität werden auf das entsprechende Medium protokolliert. Meldungen, die auf der Standardfehlerausgabe ausgegeben werden, werden nicht auf der Standardausgabe wiederholt. Dies ermöglicht es dem lokalen Administrator, die Gesprächigkeit von adduser auf der Konsole und im Protokoll voneinander unabhängig zu steuern sowie möglicherweise verwirrende Information bei sich selbst zu behalten, und dennoch hilfreiche Informationen in dem Protokoll zu hinterlassen. stdoutmsglevel, stderrmsglevel und logmsglevel sind standardmäßig warn, warn bzw. info.

-v , --version
    Anzeige der Version und von Copyright-Informationen.

GÜLTIGE NAMEN
Historischerweise erzwangen adduser(8) und addgroup(8) Konformität zu IEEE Std 1.003,1-2001. Damit sind nur die folgenden Zeichen in Gruppen- und Benutzernamen erlaubt: Buchstaben, Ziffern, Unterstriche, Punkte, Klammeraffen (@) und Bindestriche. Der Name darf nicht mit einem Bindestrich oder @ beginnen. Das »$«-Zeichen wird am Ende von Benutzernamen erlaubt, um typische Samba-Maschinenkonten zu erlauben.

Die Standardeinstellungen für NAME_REGEX und SYS_NAME_REGEX erlauben, dass Benutzernamen Buchstaben und Ziffern enthalten, sowie den Gedanken- (-) und Unterstrich (_). Der Name muss mit einem Buchstaben (oder einem Unterstrich für Systembenutzer) beginnen.

Die über die Option --allow-all-names verfügbare, am wenigsten beschränkende Richtlinie macht einfach die gleichen Prüfungen wie useradd(8). Bitte beachten Sie, dass die Prüfungen von useradd in Debian 13 deutlich restriktiver geworden sind.

Durch Ändern des Standardverhaltens können verwirrende oder irreführende Namen erstellt werden; seien Sie vorsichtig.

PROTOKOLLIERUNG

Adduser verwendet umfangreiche und konfigurierbare Protokollierung, um seine Ausführlichkeit an die Bedürfnisse des Systemadministrators anzupassen.

Every message that adduser prints has a priority value assigned by the authors. This priority can not be changed at run time. Available priority values are fatal, error, warn, info, debug, and trace.

Falls Sie eine Meldung mit einer falschen Priorität finden, reichen Sie bitte (auf Englisch) einen Fehlerbericht ein.

Jedes Mal, wenn eine Meldung erzeugt wird, entscheidet der Code, ob die Meldung auf der Standardausgabe, der Standardfehlerausgabe oder dem Syslog ausgegeben werden soll. Dies wird hauptsächlich und unabhängig voneinander durch die Konfigurationseinstellungen STDOUTMSGLEVEL, STDERRMSGLEVEL und LOGMSGLEVEL gesteuert. Zu Testzwecken können diese Einstellungen auf der Befehlszeile außer Kraft gesetzt werden.

Nur Meldungen mit einer Priorität höher oder gleich der entsprechenden Meldungsstufe werden in das entsprechende Ausgabemedium protokolliert. Eine Meldung, die auf die Standardfehlerausgabe geschrieben wurde, wird nicht ein zweites Mal auf die Standardausgabe geschrieben.

RÜCKGABEWERTE

0   Erfolg: Der angegebene Benutzer oder die angegebene Gruppe existiert. Das kann zwei Gründe haben: Der Benutzer oder die Gruppe wurde von diesem Aufruf von adduser erzeugt oder der angegebene Benutzer oder die angegebene Gruppe war schon vor dem Aufruf von adduser im System eingerichtet. Wird adduser --system für einen bereits bestehenden Benutzer aufgerufen, der über die angeforderten oder kompatible Attribute verfügt, dann wird es auch 0 zurückliefern.

11  Das Objekt, das adduser erstellen soll, existiert bereits.

12  Das Objekt, auf dem adduser oder deluser(8) agieren soll, existiert nicht.

13  Das Objekt, auf dem adduser oder deluser(8) agieren soll, verfügt nicht über die Eigenschaften, die für den Abschluss der Aktion notwendig sind: Ein Benutzer (eine Gruppe), der als ein Systembenutzer (eine Systemgruppe) erstellt werden sollte, existiert bereits und ist kein Systembenutzer (keine Systemgruppe) oder ein Benutzer (eine Gruppe), die mit einer bestimmten UID (GID) erstellt werden sollte, existiert breits und hat eine andere UID (GID), oder ein Systembenutzer (eine Systemgruppe), die gelöscht werden sollte, existiert, aber nicht als Systembenutzer (Systemgruppe).

21  Die UID (GID), die für einen neuen Benutzer (eine neue Gruppe) explizit erbeten wurde, wird bereits verwandt.

22  Es gibt in dem angeforderten Bereich keine verfügbare UID (GID).

23  Es gibt keine Gruppe mit der angeforderten GID für die primäre Gruppe für einen neuen Benutzer.

31  The chosen name or comment for a new user or a new group does not conform to the selected naming rules.

32  Das Home-Verzeichnis eines neuen Benutzers muss ein absoluter Pfad sein.

33  useradd(8) lieferte den Exit-Code 19 »Ungültiger Benutzer- oder Gruppenname« zurück. Das bedeutet, dass der ausgewählte Benutzer- oder Gruppenname nicht in die Beschränkungen von useradd(8) passt und adduser(8) den Benutzer nicht erstellen konnte.

41  Die zum Löschen angeforderte Gruppe ist nicht leer.

42  Der Benutzer, der aus einer Gruppe entfernt werden soll, ist überhaupt kein Mitglied darin.

43  Es ist nicht möglich, einen Benutzer aus seiner primären Gruppe zu entfernen oder es wurde keine primäre Gruppe für einen Benutzer mittels irgendeiner Methode ausgewählt.

51  Falsche Anzahl oder Reihenfolge der Befehlszeilenparameter erkannt.

52  In der Konfigurationsdatei wurden inkompatible Optionen gesetzt.

53  Gegenseitige inkompatible Befehlsoptionen erkannt.

54  adduser und deluser(8) wurden als ein von root verschiedener Benutzer aufgerufen und können daher nicht funktionieren.

55  deluser wird die Löschung des Kontos von root ablehnen.

56  Es wurde eine Funktion angefordert, für die weitere Pakete installiert sein müssen. Siehe die Recommends: und Suggests: des Pakets »adduser«.

61  Adduser wurde aus irgendeinem Grund abgebrochen und versuchte, die Änderungen zurückzunehmen, die während der Ausführung erfolgt sind.

62  Interner Fehler von adduser. Dies sollte nicht passieren. Bitte versuchen Sie, das Problem zu reproduzieren und reichen Sie (auf Englisch) einen Fehlerbericht ein.

71  Fehler beim Erstellen und Handhaben der Sperre.

72  Fehler beim Zugriff auf die Konfigurationsdatei(en).

73  Fehler beim Zugriff auf eine Vorratsdatei.

74  Fehler beim Lesen einer Vorratsdatei, Syntaxfehler in der Datei.

75  Fehler beim Zugriff auf Hilfsdateien.

81  An executable that is needed by adduser or deluser cannot be found. Check your installation and dependencies.

82  Die Ausführung eines externen Befehls lieferte einen unerwarteten Fehler.

83  Ein externer Befehl wurde mit einem Signal beendet.

84  Ein Systemaufruf beendete sich mit einem unerwarteten Fehler.

Oder es war einer von vielen anderen noch undokumentierten Gründen, die dann auf der Konsole ausgegeben werden. Sie können dann überlegen, ob Sie die Protokollierstufe erhöhen, damit adduser mehr Informationen ausgibt.

SICHERHEIT
adduser benötigt Systemadministratorberechtigungen. Es bietet über die Befehlszeilenoption --conf die Möglichkeit, verschiedene Konfigurationsdateien zu verwenden. Verwenden Sie nicht sudo(8) oder ähnliche Befehle, um Teilprivilegien an adduser mit beschränkten Befehlszeilenparametern zu geben. Dies kann leicht umgangen werden und könnte Benutzern erlauben, beliebige Konten zu erstellen. Falls Sie dies erreichen wollen, entwickeln Sie Ihr eigenes Skript, das adduser kapselt, und vergeben Sie Privilegien, um dieses Skript aufzurufen.

DATEIEN

/etc/adduser.conf
    Standard-Konfigurationsdatei für adduser(8) und addgroup(8)

/usr/local/sbin/adduser.local
    Optionale benutzerspezifische Erweiterungen, siehe adduser.local(8)

ANMERKUNGEN
Unglücklicherweise wird der Begriff Systemkonto unter Debian in zwei Bedeutungen verwandt. In beiden Bedeutungen ist es ein Konto für das tatsächliche Debian-System, das sich von einem Anwendungskonto unterscheidet, das in der Benutzerdatenbank einer beliebigen, unter Debian betriebenen Anwendung vorhanden ist. Ein Systemkonto in dieser Definition verfügt über die Möglichkeit, sich am tatsächlichen System anzumelden, hat eine UID, kann Mitglied in Systemgruppen sein, kann Dateien und Prozesse besitzen. Im Gegensatz dazu unterscheiden die Debian-Richtlinien in Kapitel 9.2.2 zwischen dynamisch zugewiesenen Systembenutzern und -gruppen und dynamisch zugewiesenen Benutzerkonten. Beides sind Sonderfälle eines Systemkontos. Die beiden Begriffswelten dürfen nicht durcheinander gebracht werden. Da adduser und deluser(8) niemals Anwendungskonten adressieren und sich alles in diesem Paket um Systemkonten dreht, ist die Verwendung des Ausdrucks Benutzerkonto und Systemkonto in dem Kontext dieses Paketes tatsächlich eindeutig. Zur Klarheit verwendet dieses Dokument die Definition lokales Systemkonto oder lokale Systemgruppe, falls die Unterscheidung zu Anwendungskonten oder Konten, die durch Verzeichnisdienste verwaltet werden, benötigt wird.

Früher, seit den 1990er Jahren, hatte adduser die Vision, die universelle Oberfläche zum Erstellen und Entfernen normaler und Systemkonten für die verschiedenen Verzeichnisdienste zu sein. Diese Vision wurde 2022 aufgegeben. Der Grund hierfür ist unter anderem, dass in der Praxis ein kleines Serversystem sowieso keinen Schreibzugriff auf einen firmenweiten Verzeichnisdienst hat und dass lokal installierte Pakete schwierig mit zentral gesteuerten Systemkonten zu verwalten sind, dass firmenweite Verzeichnisdienste über zentral gesteuerte Systemkonten verfügen, dass firmenweite Verzeichnisdienste sowieso ihre eigene Verwaltungsprozesse haben und dass die Personalstärke des adduser-Teams wahrscheinlich niemals so groß sein wird, um die Unterstützung für die Vielzahl an Verzeichnisdiensten, die das benötigen, zu schreiben und zu betreuen.

adduser beschränkt sich darauf, eine Richtlinienoberfläche für die Verwaltung lokaler Systemkonten zu sein. Dabei werden die Werkzeuge des Pakets passwd für die eigentliche Arbeit verwandt.

Group membership changes do not affect processes that are already running. When a user is added to a group, the new membership becomes effective only for sessions started after the change. This behavior is a common source of confusion for administrators who expect the results of adduser user group to apply immediately to existing sessions.

To make the new group membership available immediately, the user must start a new login session. Alternatively, the newgrp(1) command can be used to start a new shell with the updated group membership.

This behavior is a fundamental property of Unix-like operating systems and cannot be altered by adduser.

FEHLER
Inkonsistente Verwendung von Begriffen rund um den Ausdruck Systemkonto in der Dokumentation und den Programmen ist ein Fehler. Bitte berichten Sie dies, um uns zu ermöglichen, die Dokumentation zu verbessern.

adduser berücksichtigt besonders die direkte Verwendbarkeit in Debian-Betreuerskripten ohne fallweise Wrapper, Fehlerunterdrückung und anderem zusätzlichem Rüstwerk. Das einzige, was im Paketbetreuerskript programmiert werden sollte, ist eine Prüfung auf das Vorhandensein des Programms im Skript postrm. Die Betreuer von adduser betrachten die Notwendigkeit für zusätzliches Rüstwerk als einen Fehler und ermutigen ihre Mit-Debian-Paketbetreuer, in diesem Fall Fehlerberichte gegen das Paket adduser einzureichen.

SIEHE AUCH
adduser.conf(5), deluser(8), groupadd(8), useradd(8), usermod(8), /usr/share/doc/base-passwd/users-and-groups.html auf jedem Debian-System, Debian-Richtlinien 9.2.2, RFC8264 »PRECIS Framework: Preparation, Enforcement, and Comparison of Internationalized Strings in Application Protocols«, RFC8265 »PRECIS Representing Usernames and Passwords«, https://wiki.debian.org/UserAccounts.